Create registry
curl -X POST "https://api.prd.rad.security/accounts/example_string/registries" \
-H "Content-Type: application/json" \
-d '{
"aws_account_id": "example_string",
"aws_region": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"repository_name": "John Doe",
"type": "example_string"
}'
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/registries"
headers = {
"Content-Type": "application/json"
}
data = {
"aws_account_id": "example_string",
"aws_region": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"repository_name": "John Doe",
"type": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/registries", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"aws_account_id": "example_string",
"aws_region": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"repository_name": "John Doe",
"type": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"aws_account_id": "example_string",
"aws_region": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"repository_name": "John Doe",
"type": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.prd.rad.security/accounts/example_string/registries", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/registries')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"aws_account_id": "example_string",
"aws_region": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"repository_name": "John Doe",
"type": "example_string"
}'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"aws_account_id": "example_string",
"aws_region": "example_string",
"created_at": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"id": "example_string",
"repository_name": "John Doe",
"type": "example_string",
"updated_at": "example_string"
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
POST
/accounts/{account_id}/registriesPOST
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount ID
Body
application/json
Responses
Was this page helpful?